Bug 10574 - Remove the message about upgrading to 3.4
Summary: Remove the message about upgrading to 3.4
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Packaging (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Robin Sheat
QA Contact:
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-07-11 11:18 UTC by Robin Sheat
Modified: 2014-12-07 20:02 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:


Attachments
Empty package that claims to be koha 3.2.2 for testing upgrades (2.01 KB, application/x-deb)
2013-07-11 14:09 UTC, Robin Sheat
Details
Bug 10574 - mute the "upgrading from 3.2" message (1.52 KB, patch)
2013-07-11 14:11 UTC, Robin Sheat
Details | Diff | Splinter Review
Bug 10574 - mute the "upgrading from 3.2" message (1.58 KB, patch)
2013-07-27 21:34 UTC, Mirko Tietgen
Details | Diff | Splinter Review
Bug 10574 - mute the "upgrading from 3.2" message (1.64 KB, patch)
2013-09-06 12:21 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Robin Sheat 2013-07-11 11:18:16 UTC
When doing a fresh installation, a warning note about a command that needs to be run when going up from 3.2 is displayed. This is useless in most cases. The script that manages this should be changed to only display the note if you are actually coming from 3.2.
Comment 1 Robin Sheat 2013-07-11 14:09:56 UTC
Created attachment 19569 [details]
Empty package that claims to be koha 3.2.2 for testing upgrades
Comment 2 Robin Sheat 2013-07-11 14:11:10 UTC Comment hidden (obsolete)
Comment 3 Liz Rea 2013-07-18 02:54:07 UTC
This test plan makes me happy.
Comment 4 Mirko Tietgen 2013-07-27 21:34:15 UTC Comment hidden (obsolete)
Comment 5 Mirko Tietgen 2013-07-27 21:40:36 UTC
Galen approved my change from enhancement to bug for this one. Patch works nicely for me. Thanks for fixing this, it is very confusing to people installing Koha for the first time. I hope to see it in 3.12 and 3.10 too.
Comment 6 Kyle M Hall 2013-09-06 12:21:21 UTC
Created attachment 20823 [details] [review]
Bug 10574 - mute the "upgrading from 3.2" message

New installs get the message about running a script if upgrading from
3.2. They shouldn't. This silences this message in all cases except when
you actually are upgrading from 3.2.

Test plan:

There are three scenarios to test:
1) A fresh install should not cause the prompt.
2) An upgrade with or without the debconf entry set should not cause the
   prompt.
3) An upgrade from a 3.2 release to this should cause the prompt.

To remove the debconf entry that says the prompt has been seen:

echo 'unregister koha-common/3.2-3.4-upgrade-notice' | sudo debconf-communicate koha-common

This should be run before every test to make debconf forget that it's
shown the prompt. To get its current state:

sudo debconf-show koha-common

To test against the 3.2 version, an empty package that claims to be Koha
3.2.2 is attached to the bug.

Signed-off-by: Mirko Tietgen <mirko@abunchofthings.net>
Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 7 Galen Charlton 2013-09-06 14:55:22 UTC
Pushed to master.  Thanks, Robin!
Comment 8 Tomás Cohen Arazi 2013-09-13 19:13:22 UTC
This patch has been pushed to 3.12.x, will be in 3.12.5.

Thanks Robin!
Comment 9 Bernardo Gonzalez Kriegel 2013-10-13 13:28:03 UTC
Pushed to 3.10.x, will be in 3.10.12